curl --request GET \
--url https://{api_endpoint}/api/v1/connections/applications \
--header 'Authorization: Bearer <token>'[
{
"appid": "<string>",
"shared": true,
"tenant_id": "<string>",
"is_connected": true,
"connection_type": "<string>",
"connection_id": "<string>"
}
]Retrieve a connection based on the provided app ID and shared flag.
Args: current_user (UserProfile): The currently authenticated user. session (Session): Database session dependency. appid (str): The application ID for the connection. shared (bool): Indicates if the connection is shared.
Returns: dict: The connection details, excluding sensitive fields.
Raises: HTTPException: If the connection cannot be found or processed.
curl --request GET \
--url https://{api_endpoint}/api/v1/connections/applications \
--header 'Authorization: Bearer <token>'[
{
"appid": "<string>",
"shared": true,
"tenant_id": "<string>",
"is_connected": true,
"connection_type": "<string>",
"connection_id": "<string>"
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.